require('AnAL')

require('world')
require('menu')
require('interaction')
require('gui')
require('player')

function love.load()
	menu.load()
	world.load()
	player.load()
	playerInventory.load()
	gui.load()
	inter.load()
	music.play = true
end

function love.update(dt)
	function love.keypressed(key)
		menu.music(key)			--Музыка
		if gamestate == 'playing' then
			player.jump(key)		--Прыжок
			player.inventory(key)	--Инвентарь
			player.devTools(key)	--Dev tools
			player.interaction(key)	--Интеракция
		end
		--Инфо
		if key == 'i' then
			showInfo = not showInfo
		end
	end
	menu.interaction()
	inter.update()
	world.update()
	gui.update()
	if gamestate == 'playing' then
		music.menu:stop()
		player.update(dt)
		player.animR:update(dt)
		player.animL:update(dt)
		if event.meteor and world.inW3 then
			world.meteorAnim:update(dt)
		end
	end
	if music.play and music.noEvent then
		if gamestate == 'menu' or gamestate == 'menuControls' then
			music.menu:play()
			music.home:setVolume(0)
		elseif gamestate == 'playing' then
			music.home:play()
			music.home:setVolume(1)
			music.menu:stop()
		end
	end
	if music.play == false then
		music.menu:stop()
		music.home:stop()
	end
end

function love.draw()
	world.drawB()
	player.draw()
	world.drawF()
	inter.draw()
	player.drawInv()
	gui.draw()
	menu.draw()
	if showInfo then
		love.graphics.print(love.timer.getFPS( )..'\n'..gamestate..'\n'..world.current..'\nplayer.inInv = '..tostring(player.inInv), 0, 0)
		love.graphics.print('player.inter = '..tostring(player.inter)..'\nplayer.devMod = '..tostring(player.devMod)..'\nx = '..math.floor(player.x)..' ('..math.floor(player.x/10)..')\ny = '..math.floor(player.y)..' ('..math.floor(player.y/10)..')', 0, 60)
	end
end

function love.event.quit()
end