menu = {}

function menu.load()
	menu.main = love.graphics.newImage('Textures/Menu/Main.png')
	menu.controls = love.graphics.newImage('Textures/Menu/Controls.png')
	music.menu = love.audio.newSource('Sound/Music/Menu.mp3')
	gamestate = 'menu'
	music.menu:play()
end

function menu.draw()
	if gamestate == 'menu' then
		love.graphics.draw(menu.main, 0, 0)
	elseif gamestate == 'menuControls' then
		love.graphics.draw(menu.controls, 0, 0)
	end
end

function menu.interaction()
	--Вход в меню
	if love.keyboard.isDown('escape') and gamestate == 'playing' then
		gamestate = 'menu'
	end
	--Выход из управления
	if love.keyboard.isDown('escape') and gamestate == 'menuControls' then
		gamestate = 'menu'
	end
	--Действия в меню
	if gamestate == 'menu' then
		--Кнопка "Играть"
		if love.mouse.isDown('l') and love.mouse.getX() > 290 and love.mouse.getX() < 990 and love.mouse.getY() > 110 and love.mouse.getY() < 410 then
			gamestate = 'playing'
		end
		--Кнопка "Управление"
		if love.mouse.isDown('l') and love.mouse.getX() > 590 and love.mouse.getX() < 990 and love.mouse.getY() > 460 and love.mouse.getY() < 560 then
			gamestate = 'menuControls'
		end
	end
	function menu.music(key)
		if key == 'm' then
			music.play = not music.play
		end
	end
end